package org.brapi.test.BrAPITestServer.model.dto.upload;

import com.fasterxml.jackson.annotation.JsonProperty;

public class ImageUploadResponse {
	@JsonProperty("url")
	private String url;

	@JsonProperty("filename")
	private String filename;

	@JsonProperty("content_type")
	private String contentType;

	@JsonProperty("size")
	private long size;

	public ImageUploadResponse(String url, String filename, String contentType, long size) {
		this.url = url;
		this.filename = filename;
		this.contentType = contentType;
		this.size = size;
	}

	public String getUrl() {
		return url;
	}

	public String getFilename() {
		return filename;
	}

	public String getContentType() {
		return contentType;
	}

	public long getSize() {
		return size;
	}
}
